package pics;
import photo.Photo;
import pics.*;
import java.util.Set;
import java.util.HashMap;

public class Picture extends PictureElement {

	Photo photo;
	
	private static HashMap<Photo, Picture> allPictures = new HashMap<Photo, Picture>();
	
	public Picture(Photo p)
	{
		photo = p;
	}
	
	public static Picture make(Photo p)
	{
		if(allPictures.get(p) != null)
			return(allPictures.get(p));
		else
		{
			Picture pic = new Picture(p);
			allPictures.put(p, pic);
			return(pic);
		}
	}
	
	@Override
	public void include(Set<Photo> thePhotos) {
		thePhotos.add(photo);
	}

}
