package multipart;

import java.io.InputStream;

/**
 * 
 * Download has two methods, add(inputStream) which should give the downloader
 * a new stream to read from and readByte() which should read a byte from the
 * downloader
 * 
 * @author scottyoung
 *
 */
public interface Download {
	public void add(InputStream in);
	public int readByte();
}
