package arithmetic;


/**
 * Expression that represents a subtraction of one sub-expression from another
 */
public class Minus extends Expr {

	public Expr left, right;
	
	public Minus(Expr left, Expr right){
		this.left = left;
		this.right = right;
	}
	
	@Override
	public void accept(ExprVisitor visitor)
	{
		visitor.visit(this);
	}	
	
}
