package arithmetic;


/**
 * Expression that represents a multiplication of two sub-expressions
 */
public class Mult extends Expr {

	public Expr left, right;
	
	public Mult(Expr left, Expr right){
		this.left = left;
		this.right = right;
	}
	
	@Override
	public void accept(ExprVisitor visitor)
	{
		visitor.visit(this);
	}	
	
}
