package arithmetic;


/**
 * Expression that represents an addition of two sub-expressions
 */
public class Plus extends Expr {

	public Expr left, right;
	
	public Plus(Expr left, Expr right){
		this.left = left;
		this.right = right;
	}
	
	@Override
	public void accept(ExprVisitor visitor)
	{
		visitor.visit(this);
	}	
	
}
