package multipart;

import static org.junit.Assert.*;

import org.junit.Test;
import multipart.DownloadMachine;
import java.io.IOException;
import java.io.InputStream;
import java.net.URL;

import junit.framework.Assert;

public class DownloadMachineTest {

	@Test
	public void test_add() {
		DownloadMachine dm = new DownloadMachine();
		try
		{
			dm.add(new URL("http://mit.edu/6.005/www/fa08/project1/cheerup.jpg.parts").openStream());
		}catch(IOException e){
			System.err.println("test_add() error:"+e.getMessage());
		}
	}
	
	@Test
	public void test_read() {
		DownloadMachine dm = new DownloadMachine();
		try
		{
			dm.add(new URL("http://mit.edu/6.005/www/fa08/project1/cheerup.jpg.parts").openStream());
			Assert.assertEquals(104, dm.readByte());
		}catch(IOException e){
			System.err.println("test_add() error:"+e.getMessage());
		}
	}	

}
