package music;

public class Rest extends Elem implements MusicElement{

	double length;
	
	public Rest(double theLength)
	{
		length = theLength;
	}
	
	public double duration()
	{
		return length;
	}
	
	public void print()
	{
		System.err.printf("z:%.1f", length);
	}

	@Override
	public void accept(MusicVisitor v)
	{
		v.visit(this);
	}	
	
}
